function [doprava,dolu,uhel]=pozice (Of,tf)
%Of-ve FFT
%tf=template ve FFT
%x,y,uhel vystup
%!!predpokladma ctvercovy vstupni obrazy!!! stejne velikosti!!
%%funkce vraci hodnoty v pixelech a uhel jeden z trojce (-1 0 1 ) =>
%%metasablona o 3 uhlech


%s=rot90(s,2);%(Convolution is equivalent to correlation if you rotate the convolution kernel by 180o.) 

%tf=fft2(s,size(Of,1),size(Of,2));




cf=Of .* tf;
%cf=cf./abs(cf);
for i=1:size(cf,1)
    for j=1:size(cf,2)
     norma=abs(cf(i,j));
     if(norma==0)
         cf(i,j)=cf(i,j);
     else
         cf(i,j)=cf(i,j)/norma;
     end
    end
end


c=real(ifft2(cf));
[i,j]=find(c==max(c(:)));


velikost=size(Of,1);
if(i<velikost/2)
    dolu=i;
else
    dolu=i-velikost;
end

zbytek=mod(j,velikost);
if(zbytek<velikost/2)
    doprava=zbytek;
else
    doprava=zbytek-velikost;
end

%%UHEL
% STARE SPATNE RESENI
% if(j<floor(size(Of,2)/2))
%     uhel=-1;
% elseif(j<floor(size(Of,2)*(5/6)))
%     uhel=0;
% else
%     uhel=1;
% end



%%%FUNKCNI!!!!

%%UHEL
int=size(Of,1)/2;%interval
skok=size(Of,2)/3;%hranice jednotlivych obrazku(natocenich)

if((skok-int)<j && j<(skok+int)) % interval levy kraj prvniho obrazu-1/2 <j<levy kraj prvniho obrazu+1/2
    uhel=-1;
elseif( ((skok*2)-int)<j && j<((skok*2)+int))
    uhel=0;
else
    uhel=1;
end


